Skip to main content
POST
/
face-match
Find matching face in video
curl --request POST \
  --url https://api.cloudglue.dev/v1/face-match \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "source_image": {
    "url": "<string>",
    "base64_image": "<string>"
  },
  "target_video_url": "<string>",
  "max_faces": 2000,
  "face_detection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "frame_extraction_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
import requests

url = "https://api.cloudglue.dev/v1/face-match"

payload = {
"source_image": {
"url": "<string>",
"base64_image": "<string>"
},
"target_video_url": "<string>",
"max_faces": 2000,
"face_detection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"frame_extraction_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
source_image: {url: '<string>', base64_image: '<string>'},
target_video_url: '<string>',
max_faces: 2000,
face_detection_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
frame_extraction_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};

fetch('https://api.cloudglue.dev/v1/face-match', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "face_match_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": 123,
  "face_detection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "frame_extraction_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "file_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "source_face_bounding_box": {
    "height": 0.5,
    "width": 0.5,
    "top": 0.5,
    "left": 0.5
  },
  "data": {
    "object": "list",
    "total": 123,
    "limit": 50,
    "offset": 1,
    "faces_matches": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "face_bounding_box": {
          "height": 0.5,
          "width": 0.5,
          "top": 0.5,
          "left": 0.5
        },
        "similarity": 50,
        "frame_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "timestamp": 123,
        "thumbnail_url": "<string>"
      }
    ]
  }
}
{
"error": "<string>"
}
{
"error": "<string>"
}
{
"error": "<string>"
}
{
"error": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Face match request parameters

source_image
object
required

Source image containing the face to search for

target_video_url
string
required

URL of the target video to search in

max_faces
integer

Maximum number of faces to return

Required range: 1 <= x <= 4000
face_detection_id
string<uuid>

Optional: Use previously analyzed face detections in video

frame_extraction_id
string<uuid>

Optional: Use previously extracted frames

frame_extraction_config
object

Optional: Frame extraction configuration

Response

Face match job created successfully

face_match_id
string<uuid>
required

Unique identifier for the face match job

status
enum<string>
required

Status of the face match job

Available options:
pending,
processing,
completed,
failed
created_at
number
required

Unix timestamp in milliseconds when the job was created

face_detection_id
string<uuid>

ID of the face detection analysis used

frame_extraction_id
string<uuid>

ID of the frame extraction used

file_id
string<uuid>

ID of the target file

source_face_bounding_box
object | null

Bounding box of the source face in the source image (null when job is pending/processing)

data
object

Face match results (only present when status is completed)